Subject: Re: bug#14512: buffer-offer-save does not affect kill-buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Feb 2022 00:41:44 +0100

E Sabof <[email-masked]> writes:

> > On Fri, May 31, 2013 at 12:09 AM, Glenn Morris <[email-masked]> wrote:
> > 
> >  If you want Emacs to
> > 
> >  1) offer to save a buffer on exit
> >  2) offer to save a buffer on C-x k
> > 
> >  then why not simply make that buffer visit a file?

> I no longer use it much, since I create/kill temporary buffers quite
> often. But this is the default behavior in most programs, and I
> suspect many people would want to change it. My 1 year ago self
> included.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

In other programs, all "buffers" are tied to files, so Emacs behaves
quite like them in this regard.

In any case, I think everything here is working as designed, so I'm
therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no